Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.ssh2
Class SSH2StreamSniffer

    java.lang.Object
      com.mindbright.ssh2.SSH2StreamSniffer

All Implemented Interfaces:
  SSH2StreamFilter, SSH2StreamFilterFactory

public class SSH2StreamSniffer
extends java.lang.Object
implements SSH2StreamFilter, SSH2StreamFilterFactory

Sniffer class which dumps a copy of all data transmitted. This class prints a hex-dump of all data to `System.err`. It is very useful for debugging.

Nested Class Summary
`protected class` | `SSH2StreamSniffer.SniffInput`
`protected class` | `SSH2StreamSniffer.SniffOutput`

Field Summary
`protected int` | `id`

Method Summary
`SSH2StreamFilter` | `createFilter(SSH2Connection connection, SSH2StreamChannel channel)` Instance constructor
`static SSH2StreamSniffer` | `getFilterFactory()`
`java.io.InputStream` | `getInputFilter(java.io.InputStream toBeFiltered)` Get the filter for the input stream.
`java.io.OutputStream` | `getOutputFilter(java.io.OutputStream toBeFiltered)` Get the filter for the output stream.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### id

    protected int id

Method Detail

### getFilterFactory

    public static SSH2StreamSniffer getFilterFactory()

### createFilter

    public SSH2StreamFilter createFilter(SSH2Connection connection,
                                         SSH2StreamChannel channel)

  Description copied from interface: `SSH2StreamFilterFactory`
  Instance constructor

  Specified by:
    `createFilter` in interface `SSH2StreamFilterFactory`

### getInputFilter

    public java.io.InputStream getInputFilter(java.io.InputStream toBeFiltered)

  Description copied from interface: `SSH2StreamFilter`
  Get the filter for the input stream.

  Specified by:
    `getInputFilter` in interface `SSH2StreamFilter`
  Parameters:
    `toBeFiltered` - The stream to filter.

### getOutputFilter

    public java.io.OutputStream getOutputFilter(java.io.OutputStream toBeFiltered)

  Description copied from interface: `SSH2StreamFilter`
  Get the filter for the output stream.

  Specified by:
    `getOutputFilter` in interface `SSH2StreamFilter`
  Parameters:
    `toBeFiltered` - The stream to filter.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD